/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package com.acroynon.springdatarestexample.client.api;

import com.acroynon.springdatarestexample.client.common.ApiException;
import com.acroynon.springdatarestexample.client.model.EntityModelLocation;
import com.acroynon.springdatarestexample.client.model.LocationRequestBody;
import com.acroynon.springdatarestexample.client.model.PagedModelEntityModelLocation;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for LocationEntityControllerApi
 */
@Disabled
public class LocationEntityControllerApiTest {

    private final LocationEntityControllerApi api = new LocationEntityControllerApi();

    /**
     * delete-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void deleteItemResourceLocationDeleteTest() throws ApiException {
        String id = null;
        api.deleteItemResourceLocationDelete(id);
        // TODO: test validations
    }

    /**
     * get-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getCollectionResourceLocationGet1Test() throws ApiException {
        Integer page = null;
        Integer size = null;
        List<String> sort = null;
        PagedModelEntityModelLocation response = api.getCollectionResourceLocationGet1(page, size, sort);
        // TODO: test validations
    }

    /**
     * get-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getItemResourceLocationGetTest() throws ApiException {
        String id = null;
        EntityModelLocation response = api.getItemResourceLocationGet(id);
        // TODO: test validations
    }

    /**
     * patch-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void patchItemResourceLocationPatchTest() throws ApiException {
        String id = null;
        LocationRequestBody locationRequestBody = null;
        EntityModelLocation response = api.patchItemResourceLocationPatch(id, locationRequestBody);
        // TODO: test validations
    }

    /**
     * create-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void postCollectionResourceLocationPostTest() throws ApiException {
        LocationRequestBody locationRequestBody = null;
        EntityModelLocation response = api.postCollectionResourceLocationPost(locationRequestBody);
        // TODO: test validations
    }

    /**
     * update-location
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void putItemResourceLocationPutTest() throws ApiException {
        String id = null;
        LocationRequestBody locationRequestBody = null;
        EntityModelLocation response = api.putItemResourceLocationPut(id, locationRequestBody);
        // TODO: test validations
    }

}
